## org.eclipse.contribution.visualiser.core
Class RendererManager

    java.lang.Object
      org.eclipse.contribution.visualiser.core.RendererManager

public class RendererManager
extends java.lang.Object

The renderer manager parses the contents of the defined extensions to the extension-point org.eclipse.contribution.visualiser.renderers.

Author:
  mchapman

Field Summary
`static java.lang.String` `RENDERER_EXTENSION`

Constructor Summary
`RendererManager()`

Method Summary
`static java.util.List` `getAllRendererDefinitions()` Get a list of all the registered renderers
`static RendererDefinition` `getCurrentRenderer()` Get the current renderer, either as set by the preferences, or if not set the default renderer
`static RendererDefinition` `getDefaultRenderer()` Get the defined default renderer (should only be used when the user hasn't specified a renderer)
`static RendererDefinition` `getRendererByName(java.lang.String name)` Return the renderer definition with the given name, or null if not found
`static void` `setCurrentRendererByName(java.lang.String name)` Search for a registered renderer with the given name and if found, sets that renderer to be the current one

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_EXTENSION

    public static final java.lang.String RENDERER_EXTENSION

See Also:
  Constant Field Values

Constructor Detail

### RendererManager

    public RendererManager()

Method Detail

### getAllRendererDefinitions

    public static java.util.List getAllRendererDefinitions()

  Get a list of all the registered renderers

  Returns:
    a list of RendererDefinition objects

### getCurrentRenderer

    public static RendererDefinition getCurrentRenderer()

  Get the current renderer, either as set by the preferences, or if not set the default renderer

  Returns:
    the current renderer

### getRendererByName

    public static RendererDefinition getRendererByName(java.lang.String name)

  Return the renderer definition with the given name, or null if not found

  Parameters:
    `name` -
  Returns:
    the RendererDefinition with the given name

### setCurrentRendererByName

    public static void setCurrentRendererByName(java.lang.String name)

  Search for a registered renderer with the given name and if found, sets that renderer to be the current one

  Parameters:
    `name` - the name of the renderer

### getDefaultRenderer

    public static RendererDefinition getDefaultRenderer()

  Get the defined default renderer (should only be used when the user hasn't specified a renderer)

  Returns:
    the default RendererDefinition